// GradientStar.h: interface for the GradientStar class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

class GradientStar
{
public:
	GradientStar();
	void Advance();
	COLORREF GetColor();
private:
	double hue;
	double lum;
	double sat;
	double stepHue;
	double stepLum;
	double stepSat;
	int steps;
	COLORREF current;
	void DoAdvancePrepare();
	void DoAdvance();
};
