#pragma once

class Mutex
{
public:
	Mutex();
	~Mutex();
	void Enter();
	void Leave();
private:
	Mutex(const Mutex & other);
	Mutex & operator=(const Mutex & other);
	CRITICAL_SECTION m_criticalSection;
};

class Synchronized
{
public:
	Synchronized(Mutex & mutex);
	~Synchronized();
private:
	Synchronized(const Synchronized & other);
	Synchronized & operator=(const Synchronized & other);
	Mutex & m_mutex;
};
