// Array2D.cpp: implementation of the Array2D class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Array2D.h"
#include "RotatedArray3D.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

void Array2D::Set(RotatedArray3D * a, int i)
{
	arr = a;
	index = i;
}

int Array2D::GetLength()
{
	return arr->GetLength(index);
}

int Array2D::GetLength(int y)
{
	return arr->GetLength(index, y);
}

Square * Array2D::Get(int y, int z)
{
	return arr->Get(index, y, z);
}
