// Gradient.h: interface for the Gradient class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "GradientStar.h"
#include "GradientChange.h"

class Gradient
{
public:
	enum
	{
		I_WIDTH = GradientChange::I_WIDTH,
		I_HEIGHT = GradientChange::I_HEIGHT,
		PIC_SIZE_X = I_WIDTH,
		PIC_SIZE_Y = I_HEIGHT,
		BITS_SIZE = PIC_SIZE_X * PIC_SIZE_Y
	};

	Gradient();
	void Init();
	void ReInit();
	void Fill();

	BITMAPINFO m_bitmapInfo;
	COLORREF m_bits[BITS_SIZE];

	GradientChange m_change;
	GradientStar m_stars[GradientChange::INITIAL_POINTS];
};
