// GradientChange.h: interface for the GradientChange class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "GradientStar.h"

class GradientChange
{
public:
	enum
	{
		INITIAL_POINTS = 7,
		I_WIDTH = (int)(BIG_PIC_SIZE_X / WIDTH_FACTOR),
		I_HEIGHT = (int)(BIG_PIC_SIZE_Y / HEIGHT_FACTOR)
	};

	GradientChange();

	void InitPoints();
	void Init();

	double m_points_x[INITIAL_POINTS];
	double m_points_y[INITIAL_POINTS];
	double m_distances[I_WIDTH][I_HEIGHT][INITIAL_POINTS];
};
